﻿<div ng-controller="searchConsignmentController as vm">
    <div class="searchConsignment">
        <form name="userFormSearch">
            <h1 class="my-header">Search Consignment</h1>
            @*<div class="row">*@
            <div class="pnl_section">
                <div class="row">
                    <div class="form-group col-xs-12 col-md-4" ng-if="customerIdVisible == true">
                        <label for="txtCustomerId">Customer ID</label>
                        <input id="txtCustomerId" type="text" class="form-control" ng-model="vm.payerCusID" placeholder="Customer ID" maxlength="20" />
                    </div>

                    <div class="form-group col-xs-12 col-md-4">
                        <label for="txtConsignmentNo">Consignment No.</label>
                        <input id="txtConsignmentNo" type="text" class="form-control" ng-model="consignmentNo" placeholder="Consignment No." maxlength="20" />
                    </div>
                    <div class="form-group col-xs-12 col-md-4">
                        <label for="dpRoute">Sender Name</label>
                        <div class="width_100">
                            <select ui-select2="{minimumResultsForSearch: -1}" ng-model="vm.selectedSenderName" class="col-xs-12 no-offset" ng-disabled="senderNameVisible" data-placeholder="Sender Name">
                                <option value=""></option>
                                <option ng-repeat="d in referenceDS" ng-selected="d.snd_rec_name == vm.selectedSenderName" value="{{d.snd_rec_name}}">{{d.snd_rec_name}}</option>
                            </select>
                        </div>
                    </div>
                   
                </div>
                <div class="row">
                    <div class="form-group col-xs-12 col-md-4">
                        <label for="dpPeriodFrom">Date From</label>
                        <div id="dpPeriodFrom" class="input-group input-append date width_100" ng-model="vm.startDate" ng-disabled="visibleDatePicker" date-picker></div>
                    </div>
                    <div class="form-group col-xs-12 col-md-4">
                        <label for="dpPeriodTo">To</label>
                        <div id="dpPeriodTo" class="input-group input-append date width_100" ng-model="vm.endDate" ng-disabled="visibleDatePicker" date-picker></div>
                    </div>
                </div>                
            </div>
            <div class="pnl_search col-xs-12 no-offset">
               
                <div class="col-xs-12" style="background-color: #EDEDED;">
                    <div class="row" style="padding-bottom: 20px;">
                        <h3 class="col-xs-12">Filter</h3>
                        <div class="form-group col-xs-12 col-md-3">
                            <label for="dpDate">Status</label>
                            <div class="width_100">
                                <select ui-select2="{minimumResultsForSearch: -1}" ng-model="vm.selectedStatus" class="col-xs-12 no-offset" data-placeholder="Status" ng-disabled="adminModeSender">
                                    <option value=""></option>
                                    <option ng-repeat="d in status" @*ng-selected="d.value == vm.selectedTranDate"*@ value="{{d.StatusID}}">{{d.DisplayStatus}}</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group col-xs-12 col-md-3">
                            <label for="dpDate">Service Type</label>
                            <div class="width_100">
                                <select ui-select2="{minimumResultsForSearch: -1}" ng-model="vm.selectedServiceCode" class="col-xs-12 no-offset" data-placeholder="Service Type" ng-disabled="adminModeSender">
                                    <option value=""></option>
                                    <option ng-repeat="d in serviceCode" @*ng-selected="d.value == vm.selectedTranDate"*@ value="{{d.service_code}}">{{d.service_code}}</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group col-xs-12 col-md-3">
                            <label for="txtMasterAwBNO">Master AWB No.</label>
                            <input id="txtMasterAwBNO" type="text" class="form-control" ng-model="vm.masterAWBNo" placeholder="Master AWB No." maxlength="20" />
                        </div>
                        <div class="form-group col-xs-12 col-md-3">
                            <label for="txtJobEntryNo">Job Entry No.</label>
                            <input id="txtJobEntryNo" type="text" class="form-control" ng-model="vm.jobEntryNo" placeholder="Job Entry No." maxlength="20" />
                        </div>
                    </div>
                    <div class="row" style="padding-bottom: 10px;">
                        <div class="form-group col-xs-12 col-md-3">
                            <label for="txtrecipientPhoneNo">Recipient Phone No.</label>
                            <input id="txtrecipientPhoneNo" type="text" class="form-control" ng-model="recipientPhoneNo" placeholder="Recipient Phone No." maxlength="20" />
                        </div>
                        <div class="form-group col-xs-12 col-md-3">
                            <label for="txtRecipientPostalCode">Recipient Postal Code</label>
                            <input id="txtRecipientPostalCode" type="text" class="form-control" ng-model="RecipientPostalCode" placeholder="Recipient Postal Code" maxlength="20" />
                        </div>
                        <div class="form-group col-xs-12 col-md-3">
                            <label for="txtReferenceNo">Reference No.</label>
                            <input id="txtReferenceNo" type="text" class="form-control" ng-model="ReferenceNo" placeholder="Reference No." maxlength="20" />
                        </div>
                    </div>
                </div>
            </div>
            <div class="pnl_footer col-xs-12 no-offset">
                <input id="btnSearch" type="button" @*ng-disabled="form.$invalid"*@ class="btn btn-submit float-right" value="SEARCH" ng-click="vm.onClickSearch()">
                <input id="btnReset" type="button" class="btn btn-reset" value="CLEAR" ng-click="vm.onClickClear()">
               
            </div>
            <div class="col-xs-12 no-offset" ng-if="showErrorText == true">               
                <center><label class="dangerous-text">{{errorText}}</label></center>
            </div>
            <div class="col-xs-12 no-offset">
                <hr class="my-hr" />
            </div>

            <div class="col-xs-12 no-offset" @*style="padding: 0px 45px 0px 45px;"*@ @*ng-if="trackAndTraceDetailTable.length >0 && trackAndTraceDetailTable != null"*@>
                <table class="spacing-table3">
                    <thead>
                        <tr>
                            <th class="text-center col-xs-1"></th>
                            <th class="text-center col-xs-2" style="vertical-align: top;">
                                <span>Consignment No</span>
                            </th>
                            <th class="text-center col-xs-1" style="vertical-align: top;">
                                <span>Sender</span>
                            </th>
                            <th class="text-center col-xs-2" style="vertical-align: top;">
                                <span>Status</span>
                            </th>
                            <th class="text-center col-xs-2" style="vertical-align: top;">
                                <span>Shipping List</span>
                            </th>
                            <th class="text-center col-xs-2" style="vertical-align: top;">
                                <span>Recipient</span>
                            </th>
                            <th class="text-center col-xs-1" style="vertical-align: top;">
                                <span>Postal Code</span>
                            </th>
                            <th class="text-center col-xs-1" style="vertical-align: top;">
                                <span>Service</span>
                            </th>
                            <th class="col-xs-1">
                                    <ul class="nav navbar-nav navbar-right" style="padding-left:1px; height: inherit !important;" ng-style="{'pointer-events': disabledBtnMainPrint ? 'none' : 'auto'}">
                                        <li class="dropdown">
                                            <a class="my-dropdown-printer ng-cloak" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><i class="fa fa-print fa-lg cursor-pointer"></i><span class="caret"></span></a>
                                            <ul class="dropdown-menu">
                                                <li ng-class="{disabled: disabledBtnPrint == true}" ng-click="vm.printConNotes()"><a href="javascript:void(0);">Print Con Notes</a></li>
                                                <li ng-class="{disabled: disabledBtnPrint == true}" ng-click="vm.printShippingList()"><a href="javascript:void(0);">Print Shipping List</a></li>
                                                <li ng-click="vm.reprintConsNote()"><a href="javascript:void(0);">Reprint Con Note</a></li>
                                                <li ng-click="vm.reprintConsNoteLabel()"><a href="javascript:void(0);">Reprint Con Notes Label</a></li>
                                            </ul>
                                        </li>
                                    </ul>
                               
                            </th>
                        </tr>
                    </thead>
                    <tbody class="text-center">
                        <tr ng-if="showErrorText == true">
                            <td style="padding: 7.5px 0px 7.5px 0px;">
                                <span class="tbodyme">No data found.</span>
                            </td>
                        </tr>
                        <tr ng-if="showErrorText == false" ng-repeat="item in detailResult ">
                            <td class="col-xs-1">
                                <input ng-model="item.IsSelected" type="checkbox" ng-change="vm.SelectRow(item)">
                            </td>
                            <td class="col-xs-2">
                                <span class="tbodyme">{{item.consignment_no}}</span>
                            </td>
                            <td class="col-xs-1">
                                <span class="tbodyme">{{item.sender_name}}</span>
                            </td>
                            <td class="col-xs-2">
                                <span class="tbodyme">{{item.last_status}}</span>
                            </td>
                            <td class="col-xs-2">
                                <span class="tbodyme">{{item.ShippingList_no}}</span>
                            </td>
                            <td class="col-xs-2 text-left">
                                <span class="tbodyme">{{item.recipient_name}}</span>
                            </td>
                            <td class="col-xs-1" @*ng-class="{ myproofstatus : item.status_description === 'Proof of Delivery' }"*@>
                                <span class="tbodyme">{{item.recipient_zipcode}}</span>
                            </td>
                            <td class="col-xs-1">
                                <span class="tbodyme">{{item.service_code}}</span>
                            </td>
                            <td class="col-xs-1" style="text-align:right;">  @*padding-right:0px; text-align:right; width: 125px;*@
                                
                                    <button class="btn-view-track" ng-click="vm.updateConsignment(item.consignment_no)"><i class="fa fa-pencil fa-lg cursor-pointer"></i></button>
                                    @*<ul class="nav navbar-nav navbar-right" style="padding-left:1px; height: inherit !important;">
                                        <li class="dropdown">
                                            <a class="my-dropdown-printer ng-cloak" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><i class="fa fa-print fa-lg cursor-pointer"></i><span class="caret"></span></a>
                                            <ul class="dropdown-menu">
                                                <li ng-class="{disabled: disabledBtnPrint == true}" ng-click="vm.printConNotes(item.consignment_no)"><a href="javascript:void(0);">Print Con Notes</a></li>
                                                <li ng-class="{disabled: disabledBtnPrint == true}" ng-click="vm.printShippingList(item.consignment_no)"><a href="javascript:void(0);">Print Shipping List</a></li>
                                                <li ng-click="vm.reprintConsNote(item.consignment_no)"><a href="javascript:void(0);">Reprint Con Note</a></li>
                                                <li ng-click="vm.reprintConsNoteLabel(item.consignment_no)"><a href="javascript:void(0);">Reprint Con Notes Label</a></li>
                                            </ul>
                                        </li>
                                    </ul>*@
                                
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            @*<div class="col-xs-12" style="padding: 0px 45px 0px 45px; margin-top: 20px; text-align: center;">
                     <pre ng-if="showErrorText == true" class="dangerous-text">{{errorText}}</pre>
                    <label ng-if="showErrorText == true">No data found.</label>
                </div>*@
            <div class="col-xs-12 no-offset" style="z-index: -1;" @*style="padding: 0px 45px 0px 45px;"*@>
                <div class="col-xs-12 divtotal">
                    <span>{{contData}}</span>
                    <span> consignments returned</span>
                </div>

            </div>
            @*<div class="col-xs-12" style="padding: 0px 45px 0px 45px; margin-top: 15px;">
                    <input  id="btnCreate" type="button" class="btn btn-crecon-create"  value="SELECT ALL" ng-click="vm.CreateConsignment()" style="right:85px;">
                    <button class="btn btn-re-consign" ng-click="vm.checkItemStatusOnTable(item.consignment_no)" style="right:45px;"><i class="fa fa fa-trash-o cursor-pointer"></i></button>
                </div>*@
            <div class="col-xs-12 form-group no-offset" style="margin-top: 20px;">
                <dir-pagination-lov total-count="contData"
                                    records-per-page="SearchParameter.ItemsPerPage"
                                    url-prefix="'#'+vm.defaultUrlPrefix"
                                    url-postfix="vm.urlPostfix?'?'+vm.urlPostfix:''"
                                    current-page-id="SearchParameter.Page"
                                    skip="SearchParameter.ItemsPerPage*(SearchParameter.Page-1)"
                                    ng-model="SelectedPageLink">
                </dir-pagination-lov>
            </div>
            @*</div>*@
        </form>
    </div>
</div>

<style>
    .searchConsignment{
        padding: 0 60px;
        margin-top: 40px;
        letter-spacing: 0.5px;
        color: #232D48;
    }
        .searchConsignment .pnl_search{
            margin: 20px 0px;
            padding-bottom: 10px;
            padding-left: 15px;
            padding-right: 15px;
           
        }

        .searchConsignment .pnl_section {
            margin: 15px 0;
        }

        .searchConsignment .pnl_footer {
          
        }

        .searchConsignment .panel {
            box-shadow: none;
        }

        .searchConsignment .panel-title {
            font-weight: bold;
            cursor: default;
        }

        .searchConsignment .panel-heading {
            border-radius: 0px;
            letter-spacing: 1px;
        }

            .searchConsignment .panel-heading.collapsed {
                background-color: #232D48;
            }


    /* Overwrite */
    .calendar-input {
        height: 40px;
        border: 1px solid #EDEDED;
        border-radius: 0;
    }

    .calendar-icon {
        width: 40px;
        background-color: #232D48;
        color: #fff;
    }

    .search-input {
        padding: 5px;
        height: 40px;
        border: 1px solid #EDEDED;
        border-radius: 0;
        display: table-cell;
        width: 100%;
    }

    .search-icon {
        width: 40px;
        background-color: #232D48;
        color: #fff;
        display: table-cell;
        padding: 2px 12px 0;
        vertical-align: middle;
        cursor: pointer;
    }

    .row {
        margin-right: -15px;
        margin-left: -15px;
    }

    .form-control {
        height: 40px;
        box-shadow: none;
    }

    .select2-container .select2-choice {
        height: 40px;
    }

        .select2-container .select2-choice > .select2-chosen {
            margin-top: 4px;
        }

        .select2-container .select2-choice .select2-arrow {
            margin-top: 5px;
        }

    .btn {
        min-width: 190px;
        height: 54px;
        padding: 10px;
        font-weight: bold;
    }

    .btn-reset, .btn-reset:focus {
        border: 1px solid #dedbdb;
        color: #627281;
        background-color: #EDEDED;
    }

    .btn-submit, .btn-submit:focus {
        border: 1px solid #232D48;
        color: #ffffff;
        background-color:#232D48;
    }

    .dropdown-menu-picker .table-condensed{
        width: 100%;
    }

    .dropdown-menu-picker {
        width: calc(34.5% - 130px) !important;
    }


    @@media screen and (max-width: 992px) {
        .dropdown-menu-picker {
            width: calc(100% - 190px) !important;
        }
    }
    @@media screen and (min-width: 3808px) {
        .my-dropdown-printer {
            height: 54px;
        }
    }

    @@media screen and (min-width: 5709px) {
        .my-dropdown-printer {
            height: 67.88px;
        }
    }


   

    /* Utility */
    .omega {
        padding-left: 0 !important;
    }

    .no-offset {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .width_100 {
        width: 100%;
    }

    .float-right {
        float: right;
    }
</style>